net.corda.core.contracts

## Class Command

- net.corda.core.contracts.Command

-     public class Command

  Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command(CommandData value, java.util.List<? extends net.corda.core.crypto.CompositeKey> signers)` Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes
    `Command(CommandData data, CompositeKey key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandData` | `component1()`
    `java.util.List<net.corda.core.crypto.CompositeKey>` | `component2()`
    `Command` | `copy(CommandData value, java.util.List<? extends net.corda.core.crypto.CompositeKey> signers)` Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes
    `boolean` | `equals(java.lang.Object p)`
    `java.util.List<net.corda.core.crypto.CompositeKey>` | `getSigners()`
    `CommandData` | `getValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Command

          public Command(CommandData value,
                         java.util.List<? extends net.corda.core.crypto.CompositeKey> signers)

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

    - #### Command

          public Command(CommandData data,
                         CompositeKey key)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getValue

          public CommandData getValue()

    - #### getSigners

          public java.util.List<net.corda.core.crypto.CompositeKey> getSigners()

    - #### component1

          public CommandData component1()

    - #### component2

          public java.util.List<net.corda.core.crypto.CompositeKey> component2()

    - #### copy

          public Command copy(CommandData value,
                              java.util.List<? extends net.corda.core.crypto.CompositeKey> signers)

      Command data/content plus pubkey pair: the signature is stored at the end of the serialized bytes

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)